import React, { useState, useEffect } from 'react';
import { ProDescriptions } from '@ant-design/pro-components';
import { Divider } from 'antd';
import { doFetch } from '@/utils/doFetch';
import { useRequest } from 'ahooks';
import DesItem from './DesItem';
export default (props) => {
  const { type, detailpath, params, baseRow, basecolumns, title, titleno } = props;

  const request = useRequest(async () => {
    let res = await doFetch({ url: detailpath, params });
    return res?.data || {};
  });

  console.log(1111, request);

  // 维修工单
  const Wxgd = () => {
    return (
      <>
        <DesItem
          dataSource={request?.data?.dataList[0]}
          title="报修信息"
          hidden={true}
          index="1"
          // navhidden={false}
        />
        {request?.data?.dataList?.splice(1).map((it, index) => {
          return (
            <>
              <DesItem
                type="wxgd"
                dataSource={it}
                index={index + 2}
                title="报修信息"
                hidden={true}
                navhidden={false}
              />
            </>
          );
        })}
      </>
    );
  };
  const selectType = {
    gzbx: (
      <DesItem
        type="gzbx"
        index="0"
        dataSource={request?.data?.data}
        title="基本信息"
        hidden={true}
        navhidden={true}
      />
    ),
    wxgd: <Wxgd />,
  };
  return (
    <>
      <div>
        <h2 style={{ fontWeight: 700 }}>
          {title}：{titleno}
        </h2>
      </div>
      <ProDescriptions columns={basecolumns} dataSource={baseRow} />
      <Divider />
      {selectType[type]}
    </>
  );
};
